import 'package:flutter_test/flutter_test.dart';
import 'package:lazy_widget/src/function_registry.dart';

void main() {
  test('adds one to input values', () {
    FunctionRegistry.register<String>("@1", (data) {
      print("call @1   data = $data");
      return "null";
    });

    FunctionRegistry.register<Future<String>>("@2", (int data) {
      print("call 2   data = $data");
      return Future.value("call 2  data = $data");
    });

    print("\n  开始  \n\n");
    FunctionRegistry.call<String>("@1");
    FunctionRegistry.call<Future<String>>("@2", data: 1).then((value) {
      print("call 2   then value = $value");
      return null;
    });
  });
}
